if (CSS.registerProperty) {
  /* System font stack for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-family",
    syntax: "<length>",
    inherits: true,
    initialValue: "system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'",
  });
  /* Monospace font stack for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-family-monospace",
    syntax: "<length>",
    inherits: true,
    initialValue: "Consolas, Menlo, Monaco, Courier, monospace",
  });
  /* Bold font-weight, use to increase emphasis. */
  CSS.registerProperty({
    name: "--sds-g-font-weight-bold",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "bold",
  });
  /* Font weight 1 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-1",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "100",
  });
  /* Font weight 2 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-2",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "200",
  });
  /* Font weight 3 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-3",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "300",
  });
  /* Font weight 4 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-4",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "400",
  });
  /* Font weight 5 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-5",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "500",
  });
  /* Font weight 6 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-6",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "600",
  });
  /* Font weight 7 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-7",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "700",
  });
  /* Default line-height for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.5",
  });
  /* Line-height 1. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-1",
    syntax: "<number>",
    inherits: true,
    initialValue: "1",
  });
  /* Line-height 2. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-2",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.25",
  });
  /* Line-height 3. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-3",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.375",
  });
  /* Line-height 4. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-4",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.5",
  });
  /* Line-height 5. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-5",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.75",
  });
  /* Line-height 6. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-6",
    syntax: "<number>",
    inherits: true,
    initialValue: "2",
  });
  /* Default font-size for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-size-base",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Scaled font-size that is 4 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.625rem",
  });
  /* Scaled font-size that is 3 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Scaled font-size that is 2 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.8125rem",
  });
  /* Scaled font-size that is 1 stop smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.875rem",
  });
  /* Scaled font-size that is 1 stop bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.125rem",
  });
  /* Scaled font-size that is 2 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.266rem",
  });
  /* Scaled font-size that is 3 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.424rem",
  });
  /* Scaled font-size that is 4 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.602rem",
  });
  /* Scaled font-size that is 5 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.802rem",
  });
  /* Scaled font-size that is 6 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.027rem",
  });
  /* Scaled font-size that is 7 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.281rem",
  });
  /* Scaled font-size that is 8 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.566rem",
  });
  /* Scaled font-size that is 9 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.887rem",
  });
  /* Scaled font-size that is 10 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.247rem",
  });
}
