if (CSS.registerProperty) {
  /* Small border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.125rem",
  });
  /* Medium border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Extra Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Circular border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-circle",
    syntax: "<length>",
    inherits: false,
    initialValue: "100%",
  });
}
