if (CSS.registerProperty) {
  /* Square aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-square",
    syntax: "<length>",
    inherits: false,
    initialValue: "1",
  });
  /* Landscape aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-landscape",
    syntax: "<length>",
    inherits: false,
    initialValue: "4/3",
  });
  /* Portrait aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-portrait",
    syntax: "<length>",
    inherits: false,
    initialValue: "3/4",
  });
  /* Widescreen aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-wide",
    syntax: "<length>",
    inherits: false,
    initialValue: "16/9",
  });
  /* Ultra Widescreen aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-ultrawide",
    syntax: "<length>",
    inherits: false,
    initialValue: "18/5",
  });
}
