import font from '../../.build/font.raw.json';
import { basicExample } from './examples/basic';
import ReadMe from '../../README.md';

export default {
  title: 'Salesforce Design System/Styling Hooks/Global/Font',
  parameters: {
    docs: {
      page: ReadMe,
    },
  },
};

export const Font = () =>
  basicExample(font, 'The quick brown fox jumps over the lazy dog', () => {
    return Object.keys(font.props).sort(
      (a, b) => parseFloat(font.props[b].value) - parseFloat(font.props[a].value),
    );
  });
